<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>
        <import type="android.view.View"/>
        <variable
            name="contactUsVM"
            type="com.letsdetour.views.contctUs.ContactUsVM" />

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:clickable="true"
        >

        <ImageView
            android:id="@+id/ivBack"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:onClick="@{()->contactUsVM.onClickBack()}"
            android:layout_marginTop="@dimen/_10sdp"
            android:layout_marginStart="@dimen/_2sdp"
            android:padding="@dimen/_10sdp"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            android:src="@drawable/ic_back_black"/>


        <TextView
            android:id="@+id/tvTitleName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/_10sdp"
            android:text="@string/contact_us"
            android:textAllCaps="true"
            android:textColor="@color/black"
            app:layout_constraintBottom_toBottomOf="@+id/ivBack"
            android:textSize="@dimen/_14sdp"
            android:textStyle="bold"
            app:layout_constraintStart_toEndOf="@+id/ivBack"
            app:layout_constraintTop_toTopOf="@+id/ivBack" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/consName"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/_20sdp"
            android:layout_marginEnd="@dimen/_20sdp"
            android:layout_marginTop="@dimen/_25sdp"
            android:background="@drawable/edittext_bag"
            app:layout_constraintTop_toBottomOf="@+id/ivBack">

            <TextView
                android:id="@+id/tvName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/name"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                android:layout_marginStart="@dimen/_10sdp"
                android:textColor="@color/black"
                />
            <EditText
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/_1sdp"
                android:layout_marginStart="@dimen/_7sdp"
                android:background="@null"
                android:text="@={contactUsVM.naem}"
                android:textSize="@dimen/_12sdp"
                android:hint="@string/enter_your_name"
                android:padding="@dimen/_5sdp"
                app:layout_constraintTop_toBottomOf="@+id/tvName"/>

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/consEmail"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/_20sdp"
            android:layout_marginEnd="@dimen/_20sdp"
            android:layout_marginTop="@dimen/_25sdp"
            android:background="@drawable/edittext_bag"
            app:layout_constraintTop_toBottomOf="@+id/consName">

            <TextView
                android:id="@+id/tvEmail"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/email"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                android:layout_marginStart="@dimen/_10sdp"
                android:textColor="@color/black"
                />
            <EditText
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/_1sdp"
                android:layout_marginStart="@dimen/_7sdp"
                android:background="@null"
                android:textSize="@dimen/_12sdp"
                android:hint="@string/enter_your_email"
                android:text="@={contactUsVM.email}"
                android:padding="@dimen/_5sdp"
                app:layout_constraintTop_toBottomOf="@+id/tvEmail"/>



        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/consSearchLoc"
            android:layout_width="match_parent"
            android:layout_height="@dimen/_120sdp"
            android:background="@drawable/edittext_bag"
            android:layout_marginTop="@dimen/_25sdp"
            app:layout_constraintStart_toStartOf="parent"
            android:layout_marginBottom="@dimen/_2sdp"
            app:layout_constraintEnd_toEndOf="parent"
            android:layout_marginEnd="@dimen/_20sdp"
            android:layout_marginStart="@dimen/_20sdp"
            app:layout_constraintTop_toBottomOf="@+id/consEmail">


            <TextView
                android:id="@+id/tvFeedback"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Message"
                android:textSize="@dimen/_12sdp"
                android:layout_marginStart="@dimen/_10sdp"
                android:textColor="@color/black"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                />


            <EditText
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:background="@null"
                android:hint="@string/write_here"
                android:maxLines="10"
                android:paddingStart="@dimen/_10sdp"
                android:gravity="top"
                android:paddingEnd="@dimen/_10sdp"
                android:text="@={contactUsVM.message}"
                app:layout_constraintBottom_toBottomOf="parent"
                android:paddingBottom="@dimen/_7sdp"
                android:singleLine="true"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tvFeedback" />


        </androidx.constraintlayout.widget.ConstraintLayout>
        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/btLogin"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/_22sdp"
            android:layout_marginEnd="@dimen/_22sdp"
            android:textAllCaps="false"
            android:textSize="@dimen/_12sdp"
            android:background="@drawable/button_ripple3"
            android:layout_marginTop="@dimen/_20sdp"
            android:textStyle="bold"
            android:onClick="@{()->contactUsVM.contactUs()}"
            android:padding="@dimen/_15sdp"
            android:layout_marginBottom="@dimen/_10sdp"
            android:text="@string/send"
            android:textColor="@color/black"
            app:layout_constraintBottom_toBottomOf="parent"/>


    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>